@ECHO off

REM Check if the editor process is running
SETLOCAL EnableDelayedExpansion
FOR /F %%x IN ('tasklist /NH') DO (
	FOR %%y IN (htmlpad.exe rapidcss.exe rapidphp.exe webuild.exe) DO (
		IF %%y == %%x set EXE=%%y && goto ProcessFound
	)
)

goto :eof

:ProcessFound
REM Show error message, asking the user to close the editor and run batch script again
call :SHOWERROR "[97m%EXE%is [92mrunning. [97mClose the editor and run this script again." 12
goto :eof

:ShowError
set /a size=74 + %2
set s=%~1
echo:
echo (0[41m[97mlqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqk[0m
echo (0[41m[97mx                                                                          x[0m
echo (0[41m[97mmqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqj(B[0m
SETLOCAL ENABLEDELAYEDEXPANSION
for /L %%# in (1,2,!size!) do if "!s:~%size%,1!" == "" set "s= !s! "
set s=!s:~1,%size%!& echo:[2A[1C[41m!s![0m
echo:
ENDLOCAL
exit /b
